交互上下文

### Hierarchy

- InteractContext

## Index

### Constructors

- constructor

### Properties

- canvas
- engine
- rotation
- scaleX
- scaleY
- touchHandlers

### Methods

- addListeners
- addMouseListener
- addTouchListener
- getLocation
- onMouseMove
- onTouchBegin
- onTouchEnd
- onTouchMove
- prevent
- setup
- updateScale

## Constructors

### constructor

- new InteractContext(engine: ScillaEngine ): InteractContext

- - Defined in core/context/InteractContext.ts:36

  #### Parameters

  - ##### engine: ScillaEngine

  #### Returns InteractContext

## Properties

### Protected canvas

canvas: any

- Defined in core/context/InteractContext.ts:30

### Private engine

engine: any

- Defined in core/context/InteractContext.ts:36

### Protected rotation

rotation: any

- Defined in core/context/InteractContext.ts:34

### Protected scaleX

scaleX: any

- Defined in core/context/InteractContext.ts:32

### Protected scaleY

scaleY: any

- Defined in core/context/InteractContext.ts:33

### Protected touchHandlers

touchHandlers: any

- Defined in core/context/InteractContext.ts:31

## Methods

### Private addListeners

- addListeners(): void

- - Defined in core/context/InteractContext.ts:73

  适配鼠标事件

  #### Returns void

### Private addMouseListener

- addMouseListener(): void

- - Defined in core/context/InteractContext.ts:112

  增加鼠标事件

  #### Returns void

### Private addTouchListener

- addTouchListener(): void

- - Defined in core/context/InteractContext.ts:121

  增加触摸事件

  #### Returns void

### Private getLocation

- getLocation(event: any): any

- - Defined in core/context/InteractContext.ts:172

  #### Parameters

  - ##### event: any

  #### Returns any

### Private onMouseMove

- onMouseMove(event: any): void

- - Defined in core/context/InteractContext.ts:153

  #### Parameters

  - ##### event: any

  #### Returns void

### Private onTouchBegin

- onTouchBegin(event: any): void

- - Defined in core/context/InteractContext.ts:148

  #### Parameters

  - ##### event: any

  #### Returns void

### Private onTouchEnd

- onTouchEnd(event: any): void

- - Defined in core/context/InteractContext.ts:167

  #### Parameters

  - ##### event: any

  #### Returns void

### Private onTouchMove

- onTouchMove(event: any): void

- - Defined in core/context/InteractContext.ts:161

  #### Parameters

  - ##### event: any

  #### Returns void

### Private prevent

- prevent(event: any): void

- - Defined in core/context/InteractContext.ts:102

  阻断页面拖动

  #### Parameters

  - ##### event: any

  #### Returns void

### setup

- setup(options?: InteractContextOption ): void

- - Defined in core/context/InteractContext.ts:46

  装配上下文

  #### Parameters

  - ##### Default value options: InteractContextOption = <InteractContextOption>{}

  #### Returns void

### updateScale

- updateScale(scaleX: any, scaleY: any, rotation: any): void

- - Defined in core/context/InteractContext.ts:64

  更新缩放模式

  #### Parameters

  - ##### scaleX: any

  - ##### scaleY: any

  - ##### rotation: any

  #### Returns void

Generated using TypeDoc